TRACK2TRACK(1)

NAME
track2track - convert audio tracks

SYNOPSIS
track2track [OPTIONS] <track 1> [track 2] ...

DESCRIPTION

track2track converts audio tracks from one format to another.

OPTIONS

-h, --help
    show a list of options and exit

-I, --interactive
    edit metadata and encoding options in interactive mode prior to converting tracks

-V, --verbose=VERBOSITY
    The level of output to display. Choose between 'normal', 'quiet' and 'debug'.

CONVERSION OPTIONS

-t, --type=TYPE
    The audio format to convert the given tracks to. For a list of available audio formats, try: -t help.

-q, --quality=QUALITY
    The desired quality of the converted tracks. For a list of available quality modes for a given format, try: -q help

-d, --dir=DIRECTORY
    The target directory for the converted tracks. If none is given, the current working directory is used. If the target directory does not exist, it will be created automatically. This option is not compatible with -o

--format=STRING
    The format string to use for new filenames. Template fields are replaced with metadata values when new tracks are created. All other text is left as-is. If this option is omitted, a default format string is used.

-o, --output=FILENAME
    An explicit output filename for the converted track. With this option, only a single input track is allowed. It overrides the -d option and the default output filename.

-j, --joint=PROCESSES
    The maximum number of tracks to convert at one time. If one has multiple CPUs or CPU cores, allowing track2track(1) to use all of them simultaneously can greatly increase encoding speed.

FORMAT OPTIONS

--sample-rate=RATE
    convert all output files to the given sample rate, in Hz

--channels=CHANNELS
    convert all output files to the given number of channels

--bits-per-sample=BITS
    convert all output files to the given number of bits-per-sample

CD LOOKUP OPTIONS

-M, --metadata-lookup
    perform metadata lookup for converted tracks

--musicbrainz-server=HOSTNAME
    the MusicBrainz server name to query for metadata

--musicbrainz-port=PORT
    the MusicBrainz port to query for metadata

--no-musicbrainz
    don't query MusicBrainz for metadata

--freedb-server=HOSTNAME
    the FreeDB server name to query for metadata

--freedb-port=PORT
    the FreeDB port to query for metadata

--no-freedb
    don't query FreeDB for metadata

-D, --default
    When multiple metadata choices are available, select the first one automatically. This option has no effect when used with -I

METADATA OPTIONS

--replay-gain
    add ReplayGain metadata to newly created tracks

--no-replay-gain
    do not add ReplayGain metadata to newly created tracks

EXAMPLES

Convert all the WAVE files in the current working directory to MP3s at the default quality:

    track2track -t mp3 *.wav

Convert all of the FLAC files in sourcedir to Ogg Vorbis files and place them in targetdir:

    track2track -t ogg -d targetdir sourcedir/*.flac

Convert all of the WAVE files in sourcedir to FLAC files, 2 at a time and at the highest possible compression (quality 8):

    track2track -t flac -j 2 -q 8 sourcedir/*.wav

FORMAT STRING FIELDS
Template Fields
Key | Value
%(track_number)2.2d | the track's number on the CD
%(track_total)d | the total number of tracks on the CD
%(album_number)d | the CD's album number
%(album_total)d | the total number of CDs in the set
%(album_track_number)s | combination of album and track number
%(track_name)s | the track's name
%(album_name)s | the album's name
%(artist_name)s | the track's artist name
%(performer_name)s | the track's performer name
%(composer_name)s | the track's composer name
%(conductor_name)s | the track's conductor name
%(media)s | the track's source media
%(ISRC)s | the track's ISRC
%(catalog)s | the track's catalog number
%(copyright)s | the track's copyright information
%(publisher)s | the track's publisher
%(year)s | the track's publication year
%(date)s | the track's original recording date
%(suffix)s | the track's suffix
%(basename)s | the track's original name, without suffix

SEE ALSO
audiotools-config(1), audiotools.cfg(5), cdda2track(1), cddainfo(1), cddaplay(1), coverdump(1), covertag(1), coverview(1), dvda2track(1), dvdainfo(1), track2cdda(1), trackcat(1), trackcmp(1), trackinfo(1), tracklength(1), tracklint(1), trackplay(1), trackrename(1), tracksplit(1), tracktag(1), trackverify(1)

AUTHOR
Brian Langenberger